Accounts' Domains

Accounts' Domains

This endpoint retrieves all domains and subdomains owned by the provided account hash

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • accountHashes- a list of domain owner's account hash

Results

Valid Response

<object>- a JSON object containing key-value paired data with fields as such:

KEY

  • The queried accountHash which is the key of the object

Value

  • owner:<String>, the domain owner's account hash
  • domains:[\<object>], a list of domains owned which contains the following fields each:
    • name:<String>, the name of the domain
    • nameServiceAccount:<String>, the domain's account hash
    • subdomains:[\<object>], a list of subdomains under this domain
      • name:<String>, the name of the subdomain
      • subdomainHash:<String>, the subdomain's account hash

Example of a valid response:

{
    "status": "Success",
    "message": "Retrieved domains of multiple accounts!",
    "result": {
        "FqpGhutsofxy18h6p9Kgcb83teJRqQ8dm3NksTRaCTaE": {
            "owner": "FqpGhutsofxy18h6p9Kgcb83teJRqQ8dm3NksTRaCTaE",
            "domains": [
                {
                    "name": "pantat",
                    "nameServiceAccount": "2NnYUke3LypC4pxPWabGevfqks9pmuoNJUd7qAM8o2zE",
                    "subdomains": [
                        {
                            "name": "luwan",
                            "subdomainHash": "DBaTD8519HCYhMfj7f6T8NmGYssTdrNAVyN79qYvnJB6"
                        }
                    ]
                }
            ]
        },
        "AK2VbkdYLHSiJKS6AGUfNZYNaejABkV6VYDX1Vrgxfo": {
            "owner": "AK2VbkdYLHSiJKS6AGUfNZYNaejABkV6VYDX1Vrgxfo",
            "domains": [
                {
                    "name": "ki-v3",
                    "nameServiceAccount": "27iFoLqcBUjKSMtydrQESqY2HNaVW2xqMsb95KwkUsUm",
                    "subdomains": []
                },
                {
                    "name": "ki-v2",
                    "nameServiceAccount": "BjYUGWR9dS9hWkC3T341LpkiFy9pUJu31asWiT3JeeQ8",
                    "subdomains": [
                        {
                            "name": "test",
                            "subdomainHash": "48BgCnYTRcN5aQoEz2Khte7FjDGyYutYF1yThbE9WBei"
                        }
                    ]
                }
            ]
        },
        "nix9RErnQYXpuf329ntPgSzThogtfeyUempD7zDrnSH": {
            "owner": "nix9RErnQYXpuf329ntPgSzThogtfeyUempD7zDrnSH",
            "domains": [
                {
                    "name": "nixholas",
                    "nameServiceAccount": "3krJN4n3cWZktUBbpm5KjdhHSEMfgvzSPLsKeeC9o2Xh",
                    "subdomains": []
                }
            ]
        }
    }
}

Invalid Response

<object> - a JSON object containing the following fields if the requested account doesn't exist

  • code:<integer>, The error code
  • message:<String>, An error message to indicate which part of the query went wrong
  • status:<String>, The response status following the error code
    • 400 = Bad Request (client side)
    • 500 = Internal Server Error (server side)
Body Params
accountHashes
array of strings
required
accountHashes*
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json